
#include "json_output.hpp"

#include <iomanip>
#include <fstream>


JsonOutput::JsonOutput(char const* file_path) :
  filePath_(file_path)
{}


bool JsonOutput::write()
{
  std::ofstream outfile(filePath_);
  if (!outfile) {
    return false;
  }
  outfile << std::setw(2);
  outfile << jsonData_ << std::endl;
  return true;
}
